# OrbitDocs

Un clone moderne de Notion, construit avec Next.js, Node.js et TypeScript.

## Structure du Projet

```
orbitedocs/
├── frontend/                 # Application Next.js
├── backend/                  # API Node.js
└── shared/                   # Code partagé
```

## Prérequis

- Node.js (v18 ou supérieur)
- PostgreSQL
- npm ou yarn

## Installation

### Frontend

```bash
cd frontend
npm install
npm run dev
```

### Backend

```bash
cd backend
npm install
npm run dev
```

## Configuration

1. Copiez le fichier `.env.example` vers `.env` dans le dossier backend
2. Configurez vos variables d'environnement
3. Initialisez la base de données avec Prisma

## Développement

- Frontend: http://localhost:3000
- Backend: http://localhost:3001

## Technologies Utilisées

- Frontend: Next.js, TypeScript, TailwindCSS
- Backend: Node.js, Express, TypeScript
- Base de données: PostgreSQL
- ORM: Prisma 